[Kernel] Installation d'un nouveau noyau [Résolu/Fermé]

Signaler
-
 ANANE Noureddine -
bonjour
debutant en linux avec quelques petites connaissances,j'ai telecharge dernierement le kernel 2.2.18 du site https://mirrors.edge.kernel.org/pub/linux/kernel/v2.2/
comment puis-je l'installer sachant qu'il ne contient pas de packages rpms.
avec le 2.2.13 tout est passe impecable
merci de votre aide

6 réponses

Messages postés
1238
Date d'inscription
lundi 12 septembre 2005
Statut
Contributeur
Dernière intervention
9 décembre 2008
110
Bonjour,

Tu as quelle distrib. ?
parce que ton noyau 2.2 n'est pas récent
Actuellement les distribs fonctionnent avec un kernel 2.6.17
et la plupart des distribs ont un gestionnaire de paquetages qui t'installe tout,
même les nouveaux noyaux.

A+, cede.
1
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 65492 internautes nous ont dit merci ce mois-ci


actuellement j'ai un kernel 2.2.13 et je me trouve dans l'obligation d'installer le 2.2.18 vu qu'il prend en charge les drivers des ports AGP et les cles USb parceque j'ai un ancien logiciel qui ne tourne que sous le noyau 2.2.xx (j'ai sur un autre pc fedora5 mais ca ne va pas avec)
je croix que le changement d'une version 2.2.xx à une plus recente n'a pas d'influence sur les applications installées ???
grand merci d'avance
Messages postés
436
Date d'inscription
samedi 6 août 2005
Statut
Membre
Dernière intervention
8 mars 2008
80
Salut,

Pour la première question, un kernel s'installe simplement comme un logiciel. Si tu cherches la version en .rpm, tu pourras la trouver sur le lien ci-dessous en indiquant "kernel-2.2..." dans le moteur de recherche et en cochant la distribution que tu as.

En ce qui concerne le changement dans les applications, comme tu le dis toi même, certaines peuvent ne plus fonctionner car ont besoin d'un kernel particulier. Je suis sous mandriva 2006 et en voulant passer de la version 2.6.12.12 vers la 2.6.17.1, tout marchait bien sauf ma connexion wi-fi. Du coup, j'ai fait marche arrière en desinstallant simplement le kernel récent.
Messages postés
789
Date d'inscription
samedi 26 février 2005
Statut
Contributeur
Dernière intervention
19 juillet 2009
291
Salut,

ca "sent" un problème de version de firmware pour le wifi tout ca.... ;-)
non?
http://gentoo-wiki.com/HARDWARE_ipw2200

"As of version 2.6.17, the kernel expects ipw2200_*.fw"

il faut aussi peut etre la version 3.0

Phiphi
Messages postés
436
Date d'inscription
samedi 6 août 2005
Statut
Membre
Dernière intervention
8 mars 2008
80
Excusez moi, j'ai oublié de mettre le lien. Voir ci-dessous.

http://rpm.pbone.net/
Messages postés
29899
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
18 juin 2021
7 125
Je signale en réponse à Phiphi57 que la carte ipw2200bg peut directement être prise en charge par le noyau depuis au moins le 2.6.15. Du coup la carte marche directement ;)

merci a tout le monde
merci pour le site rpm
je vous tiendrais des nouvelles apres l'installation du nouveau kernel